#ifndef PREGUNTASELECCIONUNICA_H
#define PREGUNTASELECCIONUNICA_H

#include "Pregunta.h"

class PreguntaSeleccionUnica : public Pregunta
{
  protected:
	std::vector<std::string> opciones;

  public:
	PreguntaSeleccionUnica();
	virtual ~PreguntaSeleccionUnica() { }
	virtual std::istream& leer(std::istream& in);
	virtual std::ostream& imprimir(std::ostream& out) const;
};

#endif // PREGUNTASELECCIONUNICA_H
